org.apache.xerces.impl.dv.xs

## Class UnionDV

- java.lang.Object
- - org.apache.xerces.impl.dv.xs.TypeValidator
  - - org.apache.xerces.impl.dv.xs.UnionDV

-     public class UnionDV
      extends TypeValidator

  Represent the schema union types
  Version:
    $Id: UnionDV.java 446745 2006-09-15 21:43:58Z mrglavas $
  Author:
    Neeraj Bajaj, Sun Microsystems, inc., Sandy Gao, IBM

  # INTERNAL:

    Usage of this class is not supported. It may be altered or removed at any time.

- - ### Field Summary

    - ### Fields inherited from class org.apache.xerces.impl.dv.xs.TypeValidator

      `EQUAL, GREATER_THAN, INDETERMINATE, LESS_THAN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnionDV()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getActualValue(java.lang.String content, ValidationContext context)`
    `short` | `getAllowedFacets()`

    - ### Methods inherited from class org.apache.xerces.impl.dv.xs.TypeValidator

      `checkExtraRules, compare, getDataLength, getDigit, getFractionDigits, getTotalDigits, isDigit, isIdentical`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UnionDV

          public UnionDV()

  - ### Method Detail

    - #### getAllowedFacets

          public short getAllowedFacets()

      Specified by:
        `getAllowedFacets` in class `TypeValidator`

    - #### getActualValue

          public java.lang.Object getActualValue(java.lang.String content,
                                                 ValidationContext context)
                                          throws InvalidDatatypeValueException

      Specified by:
        `getActualValue` in class `TypeValidator`
      Throws:
        `InvalidDatatypeValueException`

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.